<script lang="ts" setup>
interface Props {
  /** 要显示的文本内容 */
  text?: string
  /** 自定义CSS类名 */
  customClass?: string
}

const props = withDefaults(defineProps<Props>(), {
  text: '',
  customClass: '',
})

// 将 \n 转换为 <br> 标签
const formattedText = computed(() => {
  return props.text.replace(/\n/g, '<br>')
})
</script>

<template>
  <view :class="props.customClass" v-html="formattedText" />
</template>

<style lang="scss" scoped>
// 可以在这里添加默认样式
</style>
